> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of tag group dimensions

> This endpoint will return a list of tag group dimensions excluding the name and code dimensions which are always present in a tag group. The name and code dimensions are returned only when they do not follow the standard name and code naming convention.



## OpenAPI

````yaml get /v0/tag-groups/{groupId}/dimensions
openapi: 3.0.1
info:
  title: Gjoll API
  description: Gjoll OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-accounting-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 84.1.2
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: reconciliation
    description: Reconciliation API
  - name: accounts
    description: Accounts API
  - name: categories
    description: Categories API
  - name: tax-codes
    description: Tax Codes API
  - name: accounting-entries
    description: |-
      The Accounting Entries API endpoints enable you to perform the following:
        - Apply filters and search for accounting entries and accounting receipts.
        - Retrieve list of accounting entries and accounting receipts.
        - Retrieve details of a specific accounting entry.
paths:
  /v0/tag-groups/{groupId}/dimensions:
    get:
      tags:
        - tag-groups
      summary: Retrieve a list of tag group dimensions
      description: |2-

                    Retrieve a list of tag group dimensions excluding the name and code dimensions which are always present in a tag group. 
                    The name and code dimensions are returned only when they do not follow the standard name and code naming convention.
                    
      operationId: getTagGroupDimensions
      parameters:
        - name: groupId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: Unique identifier of the tag group to fetch dimensions for.
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseListTagGroupDimensionModel'
components:
  schemas:
    DataResponseListTagGroupDimensionModel:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TagGroupDimensionModel'
    TagGroupDimensionModel:
      required:
        - code
        - createdAt
        - displayOrder
        - groupId
        - id
        - name
        - updatedAt
        - visible
      type: object
      properties:
        code:
          type: string
          description: >-
            Code used in the external ERP/accounting system to identify the tag
            group dimension.
          example: 5524f270-6c21-11ee-b962-0242ac120002
        createdAt:
          type: string
          description: Creation date and time.
          format: date-time
          example: '2023-08-23T03:11:48Z'
        displayOrder:
          type: integer
          description: >-
            Numerical value assigned to the tag group dimension to determine the
            display position.
          format: int32
          example: 1
        groupId:
          type: string
          description: Unique identifier of the tag group this dimension belongs to.
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120003
        id:
          type: string
          description: Unique identifier of the tag group dimension.
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120002
        name:
          type: string
          description: User readable name of the tag group dimension.
          example: Project
        updatedAt:
          type: string
          description: Date and time of the last update.
          format: date-time
          example: '2023-08-23T03:11:48Z'
        visible:
          type: boolean
          description: Determines if this tag group dimension is displayed in the UI.
          example: false
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````